Name:           qemu
Version:        7.2.0
Release:        %mkrel 3
Summary:        Qemu Emulator for PCLinuxOS
License:        GPLv3
Group:          Emulators
Url:           https://www.qemu.org/download/
Patch1: 0001-target-i386-the-sgx_epc_get_section-stub-is-reachabl.patch
Patch2: 0001-tests-Disable-pci_virtio_vga-for-ppc64.patch
Patch3: 0010-Skip-iotests-entirely.patch
#-----------------------------------------------------------------------------------
BuildRequires: lib64aio-devel
BuildRequires: lib64bzip2-devel
BuildRequires: lib64cap-ng-devel
BuildRequires: lib64drm-devel
BuildRequires: lib64epoxy-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64lzo-devel
BuildRequires: lib64ncurses-devel
BuildRequires: lib64ncursesw-devel
BuildRequires: lib64numa-devel
BuildRequires: lib64pam-devel
BuildRequires: lib64pixman-devel
BuildRequires: lib64sasl2-devel
BuildRequires: lib64snappy-devel
BuildRequires: lib64uring-devel
#-----------------------------------------------------------------------------------

%description
Qemu Virtual Emulator for PCLinuxOS

%prep

%build
pushd %{_sourcedir}
wget -nc wget https://download.qemu.org/%{name}-%{version}.tar.xz
tar xvJf %{name}-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/%{name}-%{version}
%apply_patches
./configure --prefix=/usr --libdir=/usr/lib64 --sysconfdir=/etc --enable-linux-user --enable-dbus-display  --enable-kvm
%make
popd

%install
pushd  %_builddir/%{name}-%{version}
%makeinstall_std
popd

rm -rf %buildroot/%{_includedir}

mkdir -p %{buildroot}/%{_sysconfdir}/modprobe.preload.d
cat << EOF > %{buildroot}/%{_sysconfdir}/modprobe.preload.d/50-kvm
kvm
EOF

#link qemu to x86_64 version
ln -fs %{_bindir}/qemu-x86_64 %buildroot/%{_bindir}/qemu

%files
%{_bindir}
%{_libexecdir}
%{_datadir}
%{_sysconfdir}

%posttrans
modprobe kvm

%changelog
* Sun Jan 08 2023 tex - 7.2.0-3pclos2022
- add additional build options

* Sat Dec 17 2022 tex - 7.2.0-2pclos2022
- add preload kvm at boot and posttrans script

* Thu Dec 15 2022 tex - 7.2.0-1pclos2022
- create pkg
